Subject: Ticket Assigned - Feedback or suggestions
From: Splash <[email-masked]>
To: [email-masked]
Date: Sat, 10 Oct 2020 12:42:36 +0000

Hi Shivani Rani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Order-8205710864
I had ordered online from Splash and the delivery came a week ago. I  paid 1KD for COD which is not charged by other online retailers on a minimum purchase. I bought items worth 40 KD. 
3 items were small so I called customer service for assistance and was told to  exchange/return at any nearby Splash store. I went today to a Splash store in Al Sakam Mall ,Kuwait and the manager Mr Tanmoy refused to take the returns. Upon calling customer service again and conversation between Tanmoy and customer care I was told by customer care to go to another Centerpoint store to return as there was some ' technical difficulties ' here. I wanted to talk to manager but after long time holding she said the manager was unavailable.  
I went to another Centerpoint store and completed the return but instead of KD 5.900 I got back 5.140 KD. Now Splash didnot provide a receipt so that I know why I got around 650 fills less. There was a voucher of 5KD that I had applied  why buying, but 
I didn't  get a receipt knowing how much percentage is taken off from which item. 
I spent my time, gas and also went instore where social distancing was not maintained.-when I was talking to the checkout associate the next person came ahead and stood by me the whole time. I don't know why the associate did not ask him to step back and approach when I was finished.
I had a very bad experience and this was my first time purchase from Splash online. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1571224